<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="ann_set_ftype_site_name" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:xi="http://www.w3.org/2001/XInclude"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:html="http://www.w3.org/1999/xhtml"
          xmlns:db="http://docbook.org/ns/docbook">

  <!-- id: krui_setFTypeSiteName - DOT NOT MODIFY OR DELETE THIS LINE -->
  <!-- comments: krui_err krui_setFTypeSiteName(char*);
/*****************************************************************************
  FUNCTION : ann_set_ftype_site_name
  
  UPDATE   :
******************************************************************************/ -->
  <refnamediv>
    <refname>ann_set_ftype_site_name</refname>

    <refpurpose>Sets the name and function of the current FType site (in the
    current FType entry).</refpurpose>
  </refnamediv>

  <refsynopsisdiv> <title>Calling Sequence</title>

    <synopsis>ann_set_ftype_site_name(network, f_type_site_name);</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Input parameters</title>

    <variablelist>
      <varlistentry>
        <term>network</term>

        <listitem>
          <para>Instance of neural network</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>f_type_site_name</term>

        <listitem>
          <para>FType site name (string)</para>
        </listitem>
      </varlistentry>


    </variablelist>
  </refsection>



  <refsection>
    <title>Description</title>

    <para>
        All sites (in the existing network) of the current Ftype and the same
        (old) name changes their names and site functions.

        Error if
            - current Ftype site isn't defined
            - site name does not exist in the site name table
    </para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"> 
    Usage example
    </programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
        <member><link linkend="">name</link></member>

    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Emmanuel GOOSSAERT</member>
      <member>Yann COLLETTE</member>

    </simplelist>
  </refsection>
</refentry>
